function N=bs_coeff(i, k, t, u)
% N_(ik)(u) con nodi t(i)
% osservazione: m=length(t): n=punti di controllo
% deve valere che m+1=n+1+k+1, ed i=0,1, n+1, quindi 0<=i<=m-k

m=length(t);
if i>m-k
    error('fuori dallintervallo locale');
end
if k==1 % se il grado e' zero
    if (u>=t(i) & u<t(i+1))
        N=1;
    else N=0;
    end
else
    N1=bs_coeff(i, k-1, t, u);
    N2=bs_coeff(i+1, k-1, t, u);
    if t(i+k-1)-t(i)~=0 & t(i+k)-t(i+1)~=0
        N=N1.*(u-t(i))./(t(i+k-1)-t(i))+N2.*(t(i+k)-u)./(t(i+k)-t(i+1));
    elseif t(i+k-1)-t(i)~=0  & t(i+k)-t(i+1)==0% significa che t(i+k)-t(i+1)==0
        N=N1.*(u-t(i))./(t(i+k-1)-t(i));
    elseif t(i+k)-t(i+1)~=0 & t(i+k)-t(i)==0
        N=N2.*(t(i+k)-u)./(t(i+k)-t(i+1));
    else % sono entrambi nulli
        N=0;
    end
end
