function [x,y]=bspline(px, py, k)
% desegna la bspline di ordine 3, con n+1 punti di controllo
% 
close all;
clf;
n=length(px)-1; %numero di punti di controllo- 1
m=n+2;
t=linspace(0, 1, m); % uniform knots
u=linspace(t(k+2), t(m-k+1)); % in curve open u in [t_k, t_(m-k)]=[t(k+1), t(m-k+1)]
npunti=length(u);

x=zeros(1, npunti);
y=zeros(1, npunti);

for h=1:npunti
    for i=1:m-k
     %    if i<=m-k &i-k+1>=1 
            v=bs_coeff(i, k, t, u(h)); % sui punti u
            x(h)=x(h)+px(i)*v;
            y(h)=y(h)+py(i)*v;%
    % end   
        
    end
end
plot(x, y, '.b', px, py, 'ro:')
